#
# Example 1: In the following example, a simple interference
#            pattern from two point sources is generated with
#            the help of a AWK script, and the generated data
#            (example.dat) are visualized as an Encapsulated
#            PostScript image (file example.eps), created by a
#            single call to the EPSIMG program.
#                  To compare the generated images with those
#            generated by the MATLAB routine `image()', execute
#            the MATLAB blocks
#                    colormap(gray);
#                    w=load('example1.dat');
#                    w=w-min(min(w));
#                    w=64*w./max(max(w));
#                    image(w);
#                    print('-deps','slask.eps');
#
example1:
    echo "0"|awk 'BEGIN {nr=64; nc=64; a=2.0} {\
        for (j=1;j<=nr;++j) {\
            for (k=1;k<=nc;++k) {\
         x=7*(j-nr/2)/nr;\
         y=7*(k-nc/2)/nc;\
         f=sin((x-a)*(x-a)+y*y)+sin((x+a)*(x+a)+y*y);\
         printf("%-1.3f ",f);\
            }\
            printf("\n");\
        }\
    } END {}' > example1.dat
    epsimg -v --compactified_pixelcode --uncommmented_postscript \
        -i example1.dat -o example1-compact.eps
    epsimg -v --extensive_pixelcode --uncommmented_postscript \
        -i example1.dat -o example1-extensive.eps
